<?php
$tdataexpenditure_code = array();
$tdataexpenditure_code[".searchableFields"] = array();
$tdataexpenditure_code[".ShortName"] = "expenditure_code";
$tdataexpenditure_code[".OwnerID"] = "md";
$tdataexpenditure_code[".OriginalTable"] = "expenditure_code";


$tdataexpenditure_code[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"]}" );
$tdataexpenditure_code[".originalPagesByType"] = $tdataexpenditure_code[".pagesByType"];
$tdataexpenditure_code[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"search\":[\"search\"]}" ) );
$tdataexpenditure_code[".originalPages"] = $tdataexpenditure_code[".pages"];
$tdataexpenditure_code[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"search\":\"search\"}" );
$tdataexpenditure_code[".originalDefaultPages"] = $tdataexpenditure_code[".defaultPages"];

//	field labels
$fieldLabelsexpenditure_code = array();
$fieldToolTipsexpenditure_code = array();
$pageTitlesexpenditure_code = array();
$placeHoldersexpenditure_code = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsexpenditure_code["English"] = array();
	$fieldToolTipsexpenditure_code["English"] = array();
	$placeHoldersexpenditure_code["English"] = array();
	$pageTitlesexpenditure_code["English"] = array();
	$fieldLabelsexpenditure_code["English"]["id"] = "Id";
	$fieldToolTipsexpenditure_code["English"]["id"] = "";
	$placeHoldersexpenditure_code["English"]["id"] = "";
	$fieldLabelsexpenditure_code["English"]["department_code"] = "Department Code";
	$fieldToolTipsexpenditure_code["English"]["department_code"] = "";
	$placeHoldersexpenditure_code["English"]["department_code"] = "";
	$fieldLabelsexpenditure_code["English"]["department_name"] = "Department Name";
	$fieldToolTipsexpenditure_code["English"]["department_name"] = "";
	$placeHoldersexpenditure_code["English"]["department_name"] = "";
	$fieldLabelsexpenditure_code["English"]["expenditure_code"] = "Expenditure Code";
	$fieldToolTipsexpenditure_code["English"]["expenditure_code"] = "";
	$placeHoldersexpenditure_code["English"]["expenditure_code"] = "";
	$fieldLabelsexpenditure_code["English"]["description"] = "Description";
	$fieldToolTipsexpenditure_code["English"]["description"] = "";
	$placeHoldersexpenditure_code["English"]["description"] = "";
	$fieldLabelsexpenditure_code["English"]["user"] = "User";
	$fieldToolTipsexpenditure_code["English"]["user"] = "";
	$placeHoldersexpenditure_code["English"]["user"] = "";
	$fieldLabelsexpenditure_code["English"]["md"] = "Md";
	$fieldToolTipsexpenditure_code["English"]["md"] = "";
	$placeHoldersexpenditure_code["English"]["md"] = "";
	if (count($fieldToolTipsexpenditure_code["English"]))
		$tdataexpenditure_code[".isUseToolTips"] = true;
}
if(mlang_getcurrentlang()=="sinhala")
{
	$fieldLabelsexpenditure_code["sinhala"] = array();
	$fieldToolTipsexpenditure_code["sinhala"] = array();
	$placeHoldersexpenditure_code["sinhala"] = array();
	$pageTitlesexpenditure_code["sinhala"] = array();
	$fieldLabelsexpenditure_code["sinhala"]["id"] = "Id";
	$fieldToolTipsexpenditure_code["sinhala"]["id"] = "";
	$placeHoldersexpenditure_code["sinhala"]["id"] = "";
	$fieldLabelsexpenditure_code["sinhala"]["department_code"] = "දේපාර්පතමේන්තු කේතය";
	$fieldToolTipsexpenditure_code["sinhala"]["department_code"] = "";
	$placeHoldersexpenditure_code["sinhala"]["department_code"] = "";
	$fieldLabelsexpenditure_code["sinhala"]["department_name"] = "දේපාර්පතමේන්තුවේ නම";
	$fieldToolTipsexpenditure_code["sinhala"]["department_name"] = "";
	$placeHoldersexpenditure_code["sinhala"]["department_name"] = "";
	$fieldLabelsexpenditure_code["sinhala"]["expenditure_code"] = "වියදම් කේතය";
	$fieldToolTipsexpenditure_code["sinhala"]["expenditure_code"] = "";
	$placeHoldersexpenditure_code["sinhala"]["expenditure_code"] = "";
	$fieldLabelsexpenditure_code["sinhala"]["description"] = "විස්තරය";
	$fieldToolTipsexpenditure_code["sinhala"]["description"] = "";
	$placeHoldersexpenditure_code["sinhala"]["description"] = "";
	$fieldLabelsexpenditure_code["sinhala"]["user"] = "පර්ශීලකයා";
	$fieldToolTipsexpenditure_code["sinhala"]["user"] = "";
	$placeHoldersexpenditure_code["sinhala"]["user"] = "";
	$fieldLabelsexpenditure_code["sinhala"]["md"] = "Md";
	$fieldToolTipsexpenditure_code["sinhala"]["md"] = "";
	$placeHoldersexpenditure_code["sinhala"]["md"] = "";
	if (count($fieldToolTipsexpenditure_code["sinhala"]))
		$tdataexpenditure_code[".isUseToolTips"] = true;
}


	$tdataexpenditure_code[".NCSearch"] = true;



$tdataexpenditure_code[".shortTableName"] = "expenditure_code";
$tdataexpenditure_code[".nSecOptions"] = 1;

$tdataexpenditure_code[".mainTableOwnerID"] = "md";
$tdataexpenditure_code[".entityType"] = 0;
$tdataexpenditure_code[".connId"] = "allo_at_localhost";


$tdataexpenditure_code[".strOriginalTableName"] = "expenditure_code";

	



$tdataexpenditure_code[".showAddInPopup"] = false;

$tdataexpenditure_code[".showEditInPopup"] = false;

$tdataexpenditure_code[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdataexpenditure_code[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


	$tdataexpenditure_code[".listAjax"] = true;
//	temporary
$tdataexpenditure_code[".listAjax"] = false;

	$tdataexpenditure_code[".audit"] = true;

	$tdataexpenditure_code[".locking"] = true;


$pages = $tdataexpenditure_code[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdataexpenditure_code[".edit"] = true;
	$tdataexpenditure_code[".afterEditAction"] = 1;
	$tdataexpenditure_code[".closePopupAfterEdit"] = 1;
	$tdataexpenditure_code[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdataexpenditure_code[".add"] = true;
$tdataexpenditure_code[".afterAddAction"] = 1;
$tdataexpenditure_code[".closePopupAfterAdd"] = 1;
$tdataexpenditure_code[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdataexpenditure_code[".list"] = true;
}



$tdataexpenditure_code[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdataexpenditure_code[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdataexpenditure_code[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdataexpenditure_code[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdataexpenditure_code[".printFriendly"] = true;
}



$tdataexpenditure_code[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdataexpenditure_code[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdataexpenditure_code[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdataexpenditure_code[".isUseAjaxSuggest"] = true;

$tdataexpenditure_code[".rowHighlite"] = true;



																																																

$tdataexpenditure_code[".ajaxCodeSnippetAdded"] = false;

$tdataexpenditure_code[".buttonsAdded"] = false;

$tdataexpenditure_code[".addPageEvents"] = false;

// use timepicker for search panel
$tdataexpenditure_code[".isUseTimeForSearch"] = false;


$tdataexpenditure_code[".badgeColor"] = "7b68ee";


$tdataexpenditure_code[".allSearchFields"] = array();
$tdataexpenditure_code[".filterFields"] = array();
$tdataexpenditure_code[".requiredSearchFields"] = array();

$tdataexpenditure_code[".googleLikeFields"] = array();
$tdataexpenditure_code[".googleLikeFields"][] = "id";
$tdataexpenditure_code[".googleLikeFields"][] = "department_code";
$tdataexpenditure_code[".googleLikeFields"][] = "department_name";
$tdataexpenditure_code[".googleLikeFields"][] = "expenditure_code";
$tdataexpenditure_code[".googleLikeFields"][] = "description";
$tdataexpenditure_code[".googleLikeFields"][] = "user";
$tdataexpenditure_code[".googleLikeFields"][] = "md";



$tdataexpenditure_code[".tableType"] = "list";

$tdataexpenditure_code[".printerPageOrientation"] = 0;
$tdataexpenditure_code[".nPrinterPageScale"] = 100;

$tdataexpenditure_code[".nPrinterSplitRecords"] = 40;

$tdataexpenditure_code[".geocodingEnabled"] = false;










$tdataexpenditure_code[".pageSize"] = 20;

$tdataexpenditure_code[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdataexpenditure_code[".strOrderBy"] = $tstrOrderBy;

$tdataexpenditure_code[".orderindexes"] = array();


$tdataexpenditure_code[".sqlHead"] = "SELECT id,  	department_code,  	department_name,  	expenditure_code,  	description,  	`user`,  	md";
$tdataexpenditure_code[".sqlFrom"] = "FROM expenditure_code";
$tdataexpenditure_code[".sqlWhereExpr"] = "";
$tdataexpenditure_code[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataexpenditure_code[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataexpenditure_code[".arrGroupsPerPage"] = $arrGPP;

$tdataexpenditure_code[".highlightSearchResults"] = true;

$tableKeysexpenditure_code = array();
$tableKeysexpenditure_code[] = "id";
$tdataexpenditure_code[".Keys"] = $tableKeysexpenditure_code;


$tdataexpenditure_code[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["id"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "id";
//	department_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "department_code";
	$fdata["GoodName"] = "department_code";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","department_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "department_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "department_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "department";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"department_name", 'lookupF'=>"department_name");
	$edata["autoCompleteFields"][] = array('masterF'=>"md", 'lookupF'=>"md");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "department_code";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "department_code";

	

	
	$edata["LookupOrderBy"] = "";

	
	
		$edata["AllowToAdd"] = true;
		
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["department_code"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "department_code";
//	department_name
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "department_name";
	$fdata["GoodName"] = "department_name";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","department_name");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "department_name";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "department_name";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "department";
			$edata["autoCompleteFieldsOnEdit"] = 1;
	$edata["autoCompleteFields"] = array();
		$edata["autoCompleteFields"][] = array('masterF'=>"department_code", 'lookupF'=>"department_code");
	$edata["LCType"] = 1;

	
		
	$edata["LinkField"] = "department_name";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "department_name";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["department_name"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "department_name";
//	expenditure_code
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "expenditure_code";
	$fdata["GoodName"] = "expenditure_code";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","expenditure_code");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "expenditure_code";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "expenditure_code";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "Value %value% already exists", "messageType" => "Text");

	
	//	End validation

	
			
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["expenditure_code"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "expenditure_code";
//	description
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "description";
	$fdata["GoodName"] = "description";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","description");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "description";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "description";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "description";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "description";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "description";

	

	
	$edata["LookupOrderBy"] = "";

	
	
		$edata["AllowToAdd"] = true;
			$edata["addPageId"] = "add";

	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["description"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "description";
//	user
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "user";
	$fdata["GoodName"] = "user";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","user");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "user";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "`user`";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["user"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "user";
//	md
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "md";
	$fdata["GoodName"] = "md";
	$fdata["ownerTable"] = "expenditure_code";
	$fdata["Label"] = GetFieldLabel("expenditure_code","md");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "md";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "md";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Readonly");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdataexpenditure_code["md"] = $fdata;
		$tdataexpenditure_code[".searchableFields"][] = "md";


$tables_data["expenditure_code"]=&$tdataexpenditure_code;
$field_labels["expenditure_code"] = &$fieldLabelsexpenditure_code;
$fieldToolTips["expenditure_code"] = &$fieldToolTipsexpenditure_code;
$placeHolders["expenditure_code"] = &$placeHoldersexpenditure_code;
$page_titles["expenditure_code"] = &$pageTitlesexpenditure_code;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["expenditure_code"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["expenditure_code"] = array();



	
				$strOriginalDetailsTable="department";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="department";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "department";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["expenditure_code"][0] = $masterParams;
				$masterTablesData["expenditure_code"][0]["masterKeys"] = array();
	$masterTablesData["expenditure_code"][0]["masterKeys"][]="department_code";
				$masterTablesData["expenditure_code"][0]["detailKeys"] = array();
	$masterTablesData["expenditure_code"][0]["detailKeys"][]="department_code";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_expenditure_code()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	department_code,  	department_name,  	expenditure_code,  	description,  	`user`,  	md";
$proto0["m_strFrom"] = "FROM expenditure_code";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "expenditure_code";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "department_code",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto8["m_sql"] = "department_code";
$proto8["m_srcTableName"] = "expenditure_code";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "department_name",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto10["m_sql"] = "department_name";
$proto10["m_srcTableName"] = "expenditure_code";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "expenditure_code",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto12["m_sql"] = "expenditure_code";
$proto12["m_srcTableName"] = "expenditure_code";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "description",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto14["m_sql"] = "description";
$proto14["m_srcTableName"] = "expenditure_code";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "user",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto16["m_sql"] = "`user`";
$proto16["m_srcTableName"] = "expenditure_code";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "md",
	"m_strTable" => "expenditure_code",
	"m_srcTableName" => "expenditure_code"
));

$proto18["m_sql"] = "md";
$proto18["m_srcTableName"] = "expenditure_code";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "expenditure_code";
$proto21["m_srcTableName"] = "expenditure_code";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "department_code";
$proto21["m_columns"][] = "department_name";
$proto21["m_columns"][] = "expenditure_code";
$proto21["m_columns"][] = "description";
$proto21["m_columns"][] = "user";
$proto21["m_columns"][] = "md";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "expenditure_code";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "expenditure_code";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="expenditure_code";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_expenditure_code = createSqlQuery_expenditure_code();


	
		;

							

$tdataexpenditure_code[".sqlquery"] = $queryData_expenditure_code;



$tableEvents["expenditure_code"] = new eventsBase;
$tdataexpenditure_code[".hasEvents"] = false;

?>